Milestone: MediaWiki 1.17 release tarball (tracking)
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
RobLa-WMF
Blocks
T4007: Tracking bug (tracking)
Blocked By
T31399: Postgres installer broken with same install and web user
T31274: Message class ignores $wgForceUIMsgAsContentMsg
T29608: sortable code broken due to r73270
T29597: Hitting the signature button when signing on a new talk page section puts it in the header
T29577: Gallery perrow width is overestimated
T29579: [Installer] Chrome saves config as LocalSettings.php.php
T29566: New wikilink window grows in width each time when opened in IE and Chrome
T29546: RSS/Atom feed of user contributions broken due to deletedOnly param in link
T29544: SVG images that are invalid XML no longer rendered
T29528: JS minification still outputs incorrect javascript for some input
T29506: <gallery> is printed in 1 file per row
T29496: Edit screen autoscrolling
T29492: JS minification error with regular expressions
T29486: Special:Import ignoring destination namespace, providing incorrect source in logs
T29473: Apostrophe in linktrail breaks bolded links
T29467: preload can leave UNIQ
T29468: Force underlined links don't work in 1.17 monobook
T29453: Edit toolbar inserts "{{ns:file}}" (which doesn't work in <gallery>) instead of wgFormattedNamespaces[6]
T29440: Special:Types non-functional on 1.17
T30962: ajax calls with '.' not working in IE
T29403: Disabled preferences are taken into account anyway
T29355: Classic edit toolbar buttons fail in IE6 when WikiEditor automatically falls back
T30845: PostgresInstaller::canCreateAccounts() gives the wrong result
T30840: Loader broken in IE because mediawiki thinks the periods in module names is a security leak (spoof extension)
T30836: ForeignDBRepo fails to connect to database server
T30822: Upgrade from normal 1.16 wiki to 1.17 fails with fatal error
T29201: Special:WhatLinksHere using duplicate CSS ids (mw-whatlinkshere-list)
T29171: [Installer] Incorrect error message during extension installation
T29170: [Installer] Install does not complete when choosing a CC license
T29053: Installer creates users with the name "{$wgDBuser}"
T30611: SqlBagOStuff::incr() vulnerable to race conditions, dies with query error
T28948: Problems with e-mail validation script
T28937: [Installer] Javascript-opened sections not open on back or error
T28910: PHP/JS email validation unstable in 1.17 branch
T30421: Resource loader merge artefacts in OutputPage
T30382: Do static analysis on REL1_17
T30378: Do static analysis on REL1_17
T30377: Notice: Undefined index: text in /w/skins/Vector.php on line 763
T30375: When using existing DB user, grants aren't added to new tables
T30237: Installer doesn't create extension tables
T28612: [Installer] Regression: Postgres cannot install
T28611: Bugs that should be fixed for 1.17 WMF deployment (tracking)
T30172: wfGetDB called when it shouldn't be
T30167: Database connection fails if server is empty
T30168: Connection error on user setup does not re-open section
T30158: Labels for DB types on page=DBConnect are too narrow
T28481: [Installer] $*Key values sometimes not filled
T30070: RSS feed for watchlist throws fatal error when underlying db is postgres
T30039: Boldface all fatals
T29792: Installer messages need backporting to 1.17
T29781: Installer does not warn when webserver has PHP 5.1.x only
T29680: [Regression!] Special:Watchlist/edit doesn't have wgCanonicalSpecialPageName = "Watchlist"
T24449: MediaWiki should do validation of e-mail addresses
T14070: After Installation MySQL was blocked
Subscribers
brion, siebrand, Krinkle and 10 others
Projects
Reference
bz26676
Description

Tracking issue for bugs that need to be fixed prior to making a tarball/zipfile available for download. See bug 26611 for issues to fix for WMF deployment


Version: 1.17.x
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz26676.
RobLa-WMF created this task.Via LegacyJan 11 2011, 10:59 PM
MarkAHershberger added a comment.Via ConduitMar 22 2011, 5:13 AM
  • Bug 28179 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitApr 26 2011, 8:53 PM

There are two remaining installer bugs (bug 28039, bug 28375). Are these currently blocking the 1.17 release, or is there anything else keeping it from going out?

MarkAHershberger added a comment.Via ConduitApr 28 2011, 4:48 PM

Only bug 28375 remains. It won't block the beta release, but I would
like to get it fixed before a final release.

Hydriz added a comment.Via ConduitJun 4 2011, 3:41 PM

This leaves the final step of fixing up bug 28840 before MediaWiki 1.17 is officially released.

Jarry1250 added a comment.Via ConduitJun 12 2011, 8:14 PM

Bug 28840 is now marked as fixed. What does that make the current status of 1.17? Waiting for someone to run the script? Or are there bugs that people know about but aren't documented here?

Keep up the good work all :)

Krinkle added a comment.Via ConduitJun 12 2011, 10:12 PM

There's two indirect dependancies on this bug:

  • bug 27540
  • bug 27395
MarkAHershberger added a comment.Via ConduitJun 13 2011, 6:26 PM

Those two bugs don't block the tarball, though. I expect we'll see something within the next 24 hours.

Hydriz added a comment.Via ConduitJun 22 2011, 10:43 AM

Resolving as 1.17.0 has been released.

Add Comment